#ifndef MAIN_H
#define MAIN_H

#include "ui_collatinus.h"
#include "ui_config.h"
#include <QApplication>
#include <QtGui/QTextEdit>
#include "libcollatinus.h"

class Editeur : public QTextEdit
{
    Q_OBJECT

    private:
         QString motCourant (QTextCursor C);
    public:
         Editeur (QWidget *parent, const char *name);
         QString lemmatiseTxt (bool alpha=0, bool cumVocibus = false);
    protected:
         void mousePressEvent(QMouseEvent *event);
         void mouseMoveEvent (QMouseEvent *event);
         void mouseReleaseEvent (QMouseEvent *event);
    signals:
         void copie (QString);
};

class dialogon : public QDialog, private Ui::Dialog
{
    Q_OBJECT

    public:
        dialogon ();
        // Ad
        void ad_raritas (int r);
        void ad_morphologia (bool m);
        // Ab
        QString passe ();
        int raritas (); 
        bool morphologia ();
};

class fenestra : public QMainWindow, private Ui::MainWindow
{
    Q_OBJECT

    public:
        fenestra ();
        Editeur *Ed;

    private:
        void createActions();
        void capsamInLatinum (const QString &fileName);
        bool capsaminDiscum (const QString &fileName);
        QString motCourant (QTextCursor C);
        QTextEdit* editeurCourant ();
        bool cautio ();
        bool capsaminDiscum ();
        void daFichierCourant (const QString &capsaeNomen);
        QString nomSeul (const QString &nomComplet);
        QString courant;
        QString quaerendum;
        // droits
        bool magisterSum;
        //int minRaritas;
        bool licetMorpho;

    private slots:
        void anglice ();
        void auxilium ();
        void decollatino ();
        void gallice ();
        void germanice ();
        void inuenire ();
        void inuenire_denuo ();
        void legere ();
        void lemmatiseTout ();
        void magister ();
        void noua ();
        bool scribere ();
        bool scribereVt ();

    public slots:
        void recoisLemm (QString);
        void lemmataRadere ();

        // api droits
        void setMagisterSum (bool m);
        void setSesama (QString s);
        //void setMinRaritas (int r);
        void setLicetMorpho (bool m);

        bool getMagisterSum ();
        //int getMinRaritas ();
        bool getLicetMorpho ();

        void getRights ();
        void setRights ();
        // fin api droits

    protected:
        bool event (QEvent *event);
        void closeEvent(QCloseEvent *event);
};


#endif
